import Component  from '../component.js';
import DivComponent from '../div.js';

export default class CoEuiTabContent extends Component {
    constructor(parent) {
      let selector = '*[self::eui-tab-content or self::*[@euiTabContent]]';
      //let template = 'euiTabContent';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-tabs/eui-tab-content/eui-tab-content.component.ts
    }
    get tabContentCO(){
      return new DivComponent(this.currentPath).addPredicateClassContains('eui-tab-content');
    }
}


